<?php
if (!defined("_GNUBOARD_"))
    exit; // 개별 페이지 접근 불가 
    /*
     * 회원가입 2단계
     * register_form.skin.php
     */
?>
<div class="row register2">
    
    <div class="col-sm-12">
        <h2>회원가입 <small>2단계</small></h2>
        <script type="text/javascript">
            var member_skin_path = "<?php echo $member_skin_path ?>";
        </script>
        <script type="text/javascript" src="<?php echo $member_skin_path ?>/ajax_register_form.jquery.js"></script>
        <script type="text/javascript" src="<?php echo $g4[path] ?>/js/md5.js"></script>
        <script type="text/javascript" src="<?php echo $g4[path] ?>/js/sideview.js"></script>

        <form id="fregisterform" name='fregisterform' method='post' class='form-horizontal' role='form' onsubmit="return fregisterform_submit(this);" enctype="multipart/form-data" autocomplete="off">
            <input type='hidden' name='w'                value="<?php echo $w ?>">
            <input type='hidden' name='url'              value="<?php echo $urlencode ?>">
            <input type='hidden' name='mb_jumin'         value="<?php echo $jumin ?>">
            <input type='hidden' name='mb_id_enabled'    value="" id="mb_id_enabled">
            <input type='hidden' name='mb_nick_enabled'  value="" id="mb_nick_enabled">
            <input type='hidden' name='mb_email_enabled' value="" id="mb_email_enabled">
            <!-- <input type=hidden name=token value="<?php echo $token ?>"> -->

            <div class='form-group'>
                <label class='col-sm-3'>
                    아이디
                </label>
                <div class='col-sm-9'>
                    <input class='form-control' maxlength='20' size='20' id='reg_mb_id' name="mb_id" value="<?php echo $member['mb_id'] ?>" <?
                    if ($w == 'u') {
                        echo "readonly style='background-color:#dddddd;'";
                    }

                    if ($w == '') {
                        echo "onblur='reg_mb_id_check();'";
                    }
                    ?>/>
                    <span id='msg_mb_id'></span>
                    <span class='alert-danger'>※ 영문자, 숫자, _ 만 입력 가능. 최소 3자이상 입력하세요.</span>
                </div>
            </div>
            <div class='form-group'>
                <label class='col-sm-3'>
                    패스워드
                </label>
                <div class='col-sm-9'>
                    <INPUT class='form-control' type='password' name="mb_password" size='20' maxlength='20' <?php echo ($w == "") ? "required" : ""; ?> itemname="패스워드">
                </div>
            </div>
            <div class='form-group'>
                <label class='col-sm-3'>
                    패스워드 확인
                </label>
                <div class='col-sm-9'>
                    <INPUT class='form-control' type='password' name="mb_password_re" size='20' maxlength='20' <?php echo ($w == "") ? "required" : ""; ?> itemname="패스워드 확인">
                </div>
            </div>
            <div class='form-group'>
                <label class='col-sm-3'>
                    이름
                </label>
                <div class='col-sm-9'>
                    <input name='mb_name' itemname="이름" value="<?php echo $member['mb_name'] ?>" <?php echo $member['mb_name'] ? "readonly class='form-control'" : "class='form-control'"; ?>> 
                    <?php
                    if ($w == '') {
                        echo "(공백없이 한글만 입력 가능)";
                    }
                    ?>
                </div>
            </div>
            <?php if ($member['mb_nick_date'] <= date("Y-m-d", $g4['server_time'] - ($config['cf_nick_modify'] * 86400))) { // 별명수정일이 지났다면 수정가능   ?>
                <div class="form-group">
                    <label class='col-sm-3'>
                        별명
                    </label>
                    <div class='col-sm-9'>
                        <input type='hidden' name='mb_nick_default' value='<?php echo $member['mb_nick'] ?>'>
                        <input class='form-control' type='text' id='reg_mb_nick' name='mb_nick' maxlength=20 value='<?php echo $member['mb_nick'] ?>' onblur="reg_mb_nick_check();">
                        <span id='msg_mb_nick'></span>
                        <br>공백없이 한글,영문,숫자만 입력 가능 (한글2자, 영문4자 이상)
                        <br>별명을 바꾸시면 앞으로 <?php echo (int) $config['cf_nick_modify'] ?>일 이내에는 변경 할 수 없습니다.
                    </div>
                </div>
            <?php } else { ?>
                <input type='hidden' name="mb_nick_default" value='<?php echo $member['mb_nick'] ?>'>
                <input type='hidden' name="mb_nick" value="<?php echo $member['mb_nick'] ?>">
            <?php } ?>

            <div class='form-group'>
                <label class='col-sm-3'>
                    E-mail
                </label>
                <div class='col-sm-9'>
                    <input type='hidden' name='old_email' value='<?php echo $member['mb_email'] ?>'>
                    <input class='form-control' type='email' id='reg_mb_email' name='mb_email' size='38' maxlength='100' value='<?php echo $member['mb_email'] ?>' onblur="reg_mb_email_check()">
                    <span id='msg_mb_email'></span>
                    <?php
                    if ($config['cf_use_email_certify']) {
                        if ($w == '') {
                            echo "<br/>e-mail 로 발송된 내용을 확인한 후 인증하셔야 회원가입이 완료됩니다.";
                        }
                        if ($w == 'u') {
                            echo "<br/>e-mail 주소를 변경하시면 다시 인증하셔야 합니다.";
                        }
                    }
                    ?>
                </div>
            </div>
            <?php if ($w == "") { ?>
                <div class='form-group'>
                    <label class='col-sm-3'>
                        생년월일
                    </label>
                    <div class='col-sm-9'>
                        <input class='form-control' type='date' id='mb_birth' name='mb_birth' size='8' maxlength='8' minlength='8' required numeric itemname='생년월일' value='<?php echo $member['mb_birth'] ?>' title='옆의 달력 아이콘을 클릭하여 날짜를 입력하세요.'>
                    </div>
                </div>
            <?php } ?>
            <?php if ($member['mb_sex']) { ?>
                <input type='hidden' name='mb_sex' value='<?php echo $member['mb_sex'] ?>'>
            <?php } else { ?>
                <div class='form-group'>
                    <label class='col-sm-3'>
                        성별
                    </label>
                    <div class='col-sm-9'>
                        <select id='mb_sex' name='mb_sex' required itemname='성별' class="form-control">
                            <option value=''>선택하세요</option>
                            <option value='F'>여자</option>
                            <option value='M'>남자</option>
                        </select>
                        <script type="text/javascript">//document.getElementById('mb_sex').value='<?php echo $member['mb_sex'] ?>';</script>
                    </div>
                </div>
            <?php } ?>
            <?php if ($config['cf_use_homepage']) { ?>
                <div class='form-group'>
                    <label class='col-sm-3'>
                        홈페이지
                    </label>
                    <div class='col-sm-9'>
                        <input class='form-control' type='url' name='mb_homepage' size='38' maxlength='255' <?php echo $config['cf_req_homepage'] ? 'required' : ''; ?> itemname='홈페이지' value='<?php echo $member['mb_homepage'] ?>'>
                    </div>
                </div>
            <?php } ?>
            <?php if ($config['cf_use_tel']) { ?>                                
                <div class='form-group'>
                    <label class='col-sm-3'>
                        전화번호
                    </label>
                    <div class='col-sm-9'>
                        <input class='form-control' type='tel' name='mb_tel' size=21 maxlength='20' <?php echo $config['cf_req_tel'] ? 'required' : ''; ?> itemname='전화번호' value='<?php echo $member['mb_tel'] ?>'>
                    </div>
                </div>
            <?php } ?>
            <?php if ($config['cf_use_hp']) { ?>
                <div class='form-group'>
                    <label class='col-sm-3'>
                        핸드폰번호
                    </label>
                    <div class='col-sm-9'>
                        <input class='form-control' type='tel' name='mb_hp' size='21' maxlength='20' <?php echo $config['cf_req_hp'] ? 'required' : ''; ?> itemname='핸드폰번호' value='<?php echo $member['mb_hp'] ?>'>
                    </div>
                </div>
            <?php } ?>
            <?php if ($config['cf_use_addr']) { ?>
                <div class='form-group'>
                    <label class='col-sm-3'>
                        주소
                    </label>
                    <div class='col-sm-9'>
                        <input class='form-inline' type='text' name='mb_zip1' size='4' maxlength='3' readonly <?php echo $config['cf_req_addr'] ? 'required' : ''; ?> itemname='우편번호 앞자리' value='<?php echo $member['mb_zip1'] ?>'>
                        - 
                        <input class='form-inline' type='text' name='mb_zip2' size='4' maxlength='3' readonly <?php echo $config['cf_req_addr'] ? 'required' : ''; ?> itemname='우편번호 뒷자리' value='<?php echo $member['mb_zip2'] ?>'>
                        &nbsp;<a href="javascript:;" onclick="win_zip('fregisterform', 'mb_zip1', 'mb_zip2', 'mb_addr1', 'mb_addr2');" class="btn btn-info btn-sm">검색</a>
                    </div>
                    <div class='col-sm-offset-3' style="padding: 5px 15px">
                        <input class='form-control' type='text' name='mb_addr1'  readonly <?php echo $config['cf_req_addr'] ? 'required' : ''; ?> itemname='주소' value='<?php echo $member['mb_addr1'] ?>'>
                    </div>
                    <div class='col-sm-offset-3' style="padding: 5px 15px">
                        <input class='form-control' type='text' name='mb_addr2'  <?php echo $config['cf_req_addr'] ? 'required' : ''; ?> itemname='상세주소' value='<?php echo $member['mb_addr2'] ?>'>
                    </div>
                </div>
            <?php } ?>
            <?php if ($config['cf_use_signature']) { ?>
                <div class='form-group'>
                    <label class='col-sm-3'>
                        서명
                    </label>
                    <div class='col-sm-9'>
                        <textarea name='mb_signature' class='form-control' rows='3' <?php echo $config['cf_req_signature'] ? 'required' : ''; ?> itemname='서명'><?php echo $member['mb_signature'] ?></textarea>
                    </div>
                </div>
            <?php } ?>
            <?php if ($config['cf_use_profile']) { ?>
                <div class='form-group'>
                    <label class='col-sm-3'>
                        자기소개
                    </label>
                    <div class='col-sm-9'>
                        <textarea name='mb_profile' class='form-control' rows='3'  <?php echo $config['cf_req_profile'] ? 'required' : ''; ?> itemname='자기 소개'><?php echo $member['mb_profile'] ?></textarea>
                    </div>
                </div>
            <?php } ?>

            <?php if ($member['mb_level'] >= $config['cf_icon_level']) { ?>
                <div class='form-group'>
                    <label class='col-sm-3'>
                        회원아이콘
                    </label>
                    <div class='col-sm-9'>
                        <INPUT class='form-control' type=file name='mb_icon' size=30>
                        * 이미지 크기는 가로(<?php echo $config['cf_member_icon_width'] ?>픽셀)x세로(<?php echo $config['cf_member_icon_height'] ?>픽셀) 이하로 해주세요.<br>&nbsp;&nbsp;(gif만 가능 / 용량:<?php echo number_format($config['cf_member_icon_size']) ?>바이트 이하만 등록됩니다.)
                        <?php if ($w == "u" && file_exists($mb_icon)) { ?>
                            <br><img src='<?php echo $mb_icon ?>' align='absmiddle'> <input type='checkbox' name='del_mb_icon' value='1'>삭제
                        <?php } ?>
                    </div>
                </div>
            <?php } ?>
            <div class='form-group'>
                <label class='col-sm-3'>
                    메일링서비스
                </label>
                <div class='col-sm-9'>
                    <input type=checkbox name=mb_mailling value='1' <?php echo ($w == '' || $member[mb_mailling]) ? 'checked' : ''; ?>>정보 메일을 받겠습니다.
                </div>
            </div>
            <div class='form-group'>
                <label class='col-sm-3'>
                    SMS수신
                </label>
                <div class='col-sm-9'>
                    <input type=checkbox name=mb_sms value='1' <?php echo ($w == '' || $member[mb_sms]) ? 'checked' : ''; ?>>핸드폰 문자메세지를 받겠습니다.
                </div>
            </div>
            <?php if ($member['mb_open_date'] <= date("Y-m-d", $g4['server_time'] - ($config['cf_open_modify'] * 86400))) { // 정보공개 수정일이 지났다면 수정가능    ?> 
                <input type='hidden' name='mb_open_default' value='<?php echo $member['mb_open'] ?>'> 
                <div class='form-group'>
                    <label class='col-sm-3'>
                        정보공개
                    </label>
                    <div class='col-sm-9'>
                        <input type=checkbox name=mb_open value='1' <?php echo ($w == '' || $member[mb_open]) ? 'checked' : ''; ?>>다른분들이 나의 정보를 볼 수 있도록 합니다. 
                        <br>&nbsp;&nbsp;&nbsp;&nbsp; 정보공개를 바꾸시면 앞으로 <?php echo (int) $config[cf_open_modify] ?>일 이내에는 변경이 안됩니다.
                    </div>
                </div>
            <?php } else { ?> 
                <input type=hidden name="mb_open" value="<?php echo $member[mb_open] ?>"> 
                <div class='form-group'>
                    <label class='col-sm-3'>
                        정보공개
                    </label>
                    <div class='col-sm-9'>
                        정보공개는 수정후 <?php echo (int) $config[cf_open_modify] ?>일 이내, <?php echo date("Y년 m월 j일", strtotime("$member[mb_open_date] 00:00:00") + ($config[cf_open_modify] * 86400)) ?> 까지는 변경이 안됩니다.<br> 
                        이렇게 하는 이유는 잦은 정보공개 수정으로 인하여 쪽지를 보낸 후 받지 않는 경우를 막기 위해서 입니다. 
                    </div>
                </div>
            <?php } ?> 
            <?php if ($w == "" && $config['cf_use_recommend']) { ?>
                <div class='form-group'>
                    <label class='col-sm-3'>
                        추천인아이디
                    </label>
                    <div class='col-sm-9'>
                        <input type='text' name=mb_recommend class='form-control'>
                    </div>
                </div>
            <?php } ?>
            <div class='form-group'>
                <label class='col-sm-3'>
                    <img id='kcaptcha_image' />
                </label>
                <div class='col-sm-9'>
                    <input type=input class='form-control' size=10 name=wr_key itemname="자동등록방지" required> 이미지의 숫자를 입력하세요.
                </div>
            </div>
            <button type='submit' class="btn btn-primary btn-100">확인</button>

        </form>
    </div>
</div>

<script type="text/javascript" src="<?php echo "{$g4['path']}/js/jquery.kcaptcha.js" ?>"></script>
<script type="text/javascript">
    $(function() {
        // 폼의 첫번째 입력박스에 포커스 주기 
        //$("#fregisterform :input[type='text']:visible:enabled:first").focus();
    });

    // submit 최종 폼체크
    function fregisterform_submit(f)
    {
        // 회원아이디 검사
        if (f.w.value == "") {

            reg_mb_id_check();

            if (document.getElementById('mb_id_enabled').value != '000') {
                alert('회원아이디를 입력하지 않았거나 입력에 오류가 있습니다.');
                document.getElementById('reg_mb_id').select();
                return false;
            }
        }

        if (f.w.value == '') {
            if (f.mb_password.value.length < 3) {
                alert('패스워드를 3글자 이상 입력하십시오.');
                f.mb_password.focus();
                return false;
            }
        }

        if (f.mb_password.value != f.mb_password_re.value) {
            alert('패스워드가 같지 않습니다.');
            f.mb_password_re.focus();
            return false;
        }

        if (f.mb_password.value.length > 0) {
            if (f.mb_password_re.value.length < 3) {
                alert('패스워드를 3글자 이상 입력하십시오.');
                f.mb_password_re.focus();
                return false;
            }
        }

        /*
         if (f.mb_password_q.value.length < 1) {
         alert('패스워드 분실시 질문을 선택하거나 입력하십시오.');
         f.mb_password_q.focus();
         return false;
         }

         if (f.mb_password_a.value.length < 1) {
         alert('패스워드 분실시 답변을 입력하십시오.');
         f.mb_password_a.focus();
         return false;
         }
         */

        // 이름 검사
        if (f.w.value == '') {
            if (f.mb_name.value.length < 1) {
                alert('이름을 입력하십시오.');
                f.mb_name.focus();
                return false;
            }

            var pattern = /([^가-힣\x20])/i;
            if (pattern.test(f.mb_name.value)) {
                alert('이름은 한글로 입력하십시오.');
                f.mb_name.focus();
                return false;
            }
        }

        // 별명 검사
        if ((f.w.value == "") ||
                (f.w.value == "u" && f.mb_nick.defaultValue != f.mb_nick.value)) {

            reg_mb_nick_check();

            if (document.getElementById('mb_nick_enabled').value != '000') {
                alert('별명을 입력하지 않았거나 입력에 오류가 있습니다.');
                document.getElementById('reg_mb_nick').select();
                return false;
            }
        }

        // E-mail 검사
        if ((f.w.value == "") ||
                (f.w.value == "u" && f.mb_email.defaultValue != f.mb_email.value)) {

            reg_mb_email_check();

            if (document.getElementById('mb_email_enabled').value != '000') {
                alert('E-mail을 입력하지 않았거나 입력에 오류가 있습니다.');
                document.getElementById('reg_mb_email').select();
                return false;
            }

            // 사용할 수 없는 E-mail 도메인
            var domain = prohibit_email_check(f.mb_email.value);
            if (domain) {
                alert("'" + domain + "'은(는) 사용하실 수 없는 메일입니다.");
                document.getElementById('reg_mb_email').focus();
                return false;
            }
        }

        if (typeof (f.mb_birth) != 'undefined') {
            if (f.mb_birth.value.length < 1) {
                alert('달력 버튼을 클릭하여 생일을 입력하여 주십시오.');
                //f.mb_birth.focus();
                return false;
            }

            var todays = <?php echo date("Ymd", $g4['server_time']); ?>;
            // 오늘날짜에서 생일을 빼고 거기서 140000 을 뺀다.
            // 결과가 0 이상의 양수이면 만 14세가 지난것임
            var n = todays - parseInt(f.mb_birth.value) - 140000;
            if (n < 0) {
                alert("만 14세가 지나지 않은 어린이는 정보통신망 이용촉진 및 정보보호 등에 관한 법률\n\n제 31조 1항의 규정에 의하여 법정대리인의 동의를 얻어야 하므로\n\n법정대리인의 이름과 연락처를 '자기소개'란에 별도로 입력하시기 바랍니다.");
                return false;
            }
        }

        if (typeof (f.mb_sex) != 'undefined') {
            if (f.mb_sex.value == '') {
                alert('성별을 선택하여 주십시오.');
                f.mb_sex.focus();
                return false;
            }
        }

        if (typeof f.mb_icon != 'undefined') {
            if (f.mb_icon.value) {
                if (!f.mb_icon.value.toLowerCase().match(/.(gif)$/i)) {
                    alert('회원아이콘이 gif 파일이 아닙니다.');
                    f.mb_icon.focus();
                    return false;
                }
            }
        }

        if (typeof (f.mb_recommend) != 'undefined') {
            if (f.mb_id.value == f.mb_recommend.value) {
                alert('본인을 추천할 수 없습니다.');
                f.mb_recommend.focus();
                return false;
            }
        }

        if (!check_kcaptcha(f.wr_key)) {
            return false;
        }

        <?php
        if (!$g4['https_url'])
            echo "f.action = '{$g4['https_url']}/{$g4['g4m_bbs_path']}/register_form_update.php';";
        else
            echo "f.action = './register_form_update.php';";
        ?>

        // 보안인증관련 코드로 반드시 포함되어야 합니다.
        set_cookie("<?php echo md5($token) ?>", "<?php echo base64_encode($token) ?>", 1, "<?php echo $g4['cookie_domain'] ?>");

        return true;
    }

    // 금지 메일 도메인 검사
    function prohibit_email_check(email)
    {
        email = email.toLowerCase();

        var prohibit_email = "<?php echo trim(strtolower(preg_replace("/(\r\n|\r|\n)/", ",", $config[cf_prohibit_email]))); ?>";
        var s = prohibit_email.split(",");
        var tmp = email.split("@");
        var domain = tmp[tmp.length - 1]; // 메일 도메인만 얻는다

        for (i = 0; i < s.length; i++) {
            if (s[i] == domain)
                return domain;
        }
        return "";
    }
</script>
